﻿/* Form formating -- Start*/
.orion-search {
    position: relative;
    padding: 25px 5px 5px;
    margin: 0px -15px 15px;
    background-color: #fafafa;
    border-color: #e5e5e5 #eee #eee;
    border-style: solid;
    border-width: 1px 0;
    box-shadow: inset 0 3px 6px rgba(0, 0, 0, .05);
}

/* Echo out a label for the example */
.orion-search:after {
    position: absolute;
    top: 5px;
    left: 5px;
    font-size: 12px;
    font-weight: bold;
    color: #bbb;
    text-transform: uppercase;
    letter-spacing: 1px;
    content: attr(box-name);
}

/* Make the examples and snippets not full-width */
@media (min-width: 768px) {
    .orion-search {
        margin-right: 0;
        margin-left: 0;
        background-color: #fff;
        border-color: #ddd;
        border-width: 1px;
        border-radius: 4px 4px 0 0;
        box-shadow: none;
    }

    .orion-search + .highlight {
        margin-top: -16px;
        margin-right: 0;
        margin-left: 0;
        border-width: 1px;
        border-bottom-right-radius: 4px;
        border-bottom-left-radius: 4px;
    }
}

.orion-search > p:last-child,
.orion-search > ul:last-child,
.orion-search > ol:last-child,
.orion-search > blockquote:last-child,
.orion-search > .form-control:last-child,
.orion-search > .table:last-child,
.orion-search > .navbar:last-child,
.orion-search > .jumbotron:last-child,
.orion-search > .alert:last-child,
.orion-search > .panel:last-child,
.orion-search > .list-group:last-child,
.orion-search > .well:last-child,
.orion-search > .progress:last-child,
.orion-search > .table-responsive:last-child > .table {
    margin-bottom: 0;
}

/* Buttons */
.orion-search > .btn,
.orion-search > .btn-group {
    margin-top: 5px;
    margin-bottom: 5px;
}

.orion-search > .btn-toolbar + .btn-toolbar {
    margin-top: 10px;
}

.orion-search-form .input-group-sm,
.orion-search-form .input-group {
    margin-bottom: 10px;
}

/*.orion-search-form .input-group-sm {
  margin-bottom: 10px;
}*/

/*.orion-search-form .orion-search-rowPadding {
  margin-top: 10px;
}*/

.orion-search-right {
    text-align: right;
}

.orion-bottom-margin {
    margin-bottom: 5px;
}

.orion-search-form .btnCustomJustify {
    width: 75px !important;
}

.orion-search > textarea.form-control {
    resize: vertical;
}

/* Example dropdowns */
.orion-search > .dropdown > .dropdown-menu {
    position: static;
    display: block;
    margin-bottom: 5px;
}

/* Form formating -- End*/
.k-context-menu ul li img {
    max-height: 16px;
    max-width: 16px;
    margin: 0px 7px 0px 0px;
}

/*Hide Horizontal bar on all grid*//*
.k-grid-header {
    padding: 0 !important;
}

.k-grid-content {
    overflow-y: visible;
}
*/

.orion-resizable {
    overflow-y: auto;
    resize: vertical;
    max-height: 300px;
    margin-top: 2px;
    cursor: default !important;
}

/* Set Kendo Grid Height and Overflow: both related to each other */
.k-grid-content > table > tbody > tr {
    height: 28px !important;
}

.k-grid td {
    padding: .2em .3em !important;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.grid-filter-header .k-numerictextbox,
.grid-filter-header .k-autocomplete {
    width: 80% !important;
}

@media (min-width: 768px) {
    .modal-dialog-wide {
        width: 750px; /* your width */
    }

    .fundSearchGrid {
        height: 350px;
    }

    .msrDetailGrid {
        height: 400px;
    }
}

@media (min-width: 992px) {
    .modal-dialog-wide {
        width: 950px; /* your width */
    }

    .fundSearchGrid {
        height: 400px;
    }

    .msrDetailGrid {
        height: 500px;
    }
}

@media (min-width: 1200px) {
    .modal-dialog-wide {
        width: 1150px; /* your width */
    }

    .fundSearchGrid {
        height: 500px;
    }

    .msrDetailGrid {
        height: 600px;
    }
}

.full .modal-dialog {
    width: auto;
    height: auto;
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 20px;
    margin-bottom: 20px;
}

/*.orionLoading {
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center center;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 2;

}*/

.collapse-header {
    min-height: 20px;
}

.ellipsis {
    width: 95%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

a label {
    cursor: pointer;
}

.row-condition-color {
    background-color: #00d8ff;
}

.nopadding {
   padding: 0 !important;
   margin: 0 !important;
}

.nopadding-left {
   padding-left: 0 !important;
   margin-left: 0 !important;
}

.nopadding-right {
   padding-right: 0 !important;
   margin-right: 0 !important;
}


input.edit-field
{
    background-color:#fff;
}

input.edit-field:disabled, input.edit-field:read-only {
    background: #eee !important;
}


div#Deal input.ng-dirty, div#Deal select.ng-dirty div#Deal textarea.ng-dirty, input.ng-dirty[name="orionDealName"]
{
    border:solid 1px #3a65b1
}

.panel-heading-small
{
    margin:0;
    padding:5px;
}

.section-parent
{
    margin-top:5px;
}
.edit_button{
    margin-right:5px;
    color:#000;
    border: 1px solid #ccc;
    background-color:#fff;
}
 .fileupload 
 {
    position: relative;
    overflow: hidden;
                
 }

.fileupload input.upload 
{
    position: absolute;
    top: 0;
    right: 0;
    margin: 0;
    padding: 0;
    font-size: 20px;
    cursor: pointer;
    opacity: 0;
    width:300px;
    filter: alpha(opacity=0);
}




/*.tab { margin-bottom: 5px; }*/